commit:     4a36f33db8b24b3e1d642dfeeb68f0c1ed9c03cf
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 14 00:17:45 2022 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Feb 14 00:51:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a36f33d

sci-libs/libsc: update live ebuild

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 sci-libs/libsc/files/libsc-9999-set_version.patch | 44 ++++++++++++++
 sci-libs/libsc/libsc-9999.ebuild                  | 72 ++++++-----------------
 2 files changed, 63 insertions(+), 53 deletions(-)

diff --git a/sci-libs/libsc/files/libsc-9999-set_version.patch 
b/sci-libs/libsc/files/libsc-9999-set_version.patch
new file mode 100644
index 000000000000..0820b001d8cd
--- /dev/null
+++ b/sci-libs/libsc/files/libsc-9999-set_version.patch
@@ -0,0 +1,44 @@
+diff --git a/cmake/git.cmake b/cmake/git.cmake
+index dd6009e..7c5c8f3 100644
+--- a/cmake/git.cmake
++++ b/cmake/git.cmake
+@@ -1,36 +1,3 @@
+ # --- extract version from Git
+ 
+-set(PROJECT_VERSION 0.0.0)
+-find_program(GIT_VERSION_GEN NAMES git-version-gen
+-             PATHS ${CMAKE_SOURCE_DIR}/build-aux NO_DEFAULT_PATH)
+-if(GIT_VERSION_GEN)
+-  execute_process(COMMAND ${GIT_VERSION_GEN} .tarball_version
+-    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+-    RESULT_VARIABLE _err
+-    OUTPUT_VARIABLE git_version
+-    OUTPUT_STRIP_TRAILING_WHITESPACE)
+-endif()
+-if(_err EQUAL 0)
+-  if(git_version MATCHES
+-                 "^(0|[1-9][0-9]*)[.](0|[1-9][0-9]*)[.](0|[1-9][0-9]*)[.].*")
+-    set(_major "${CMAKE_MATCH_1}")
+-    set(_minor "${CMAKE_MATCH_2}")
+-    set(_patch "${CMAKE_MATCH_3}")
+-    set(PROJECT_VERSION ${_major}.${_minor}.${_patch}.999)
+-  elseif(git_version MATCHES
+-                 "^(0|[1-9][0-9]*)[.](0|[1-9][0-9]*)[.](0|[1-9][0-9]*)")
+-    set(_major "${CMAKE_MATCH_1}")
+-    set(_minor "${CMAKE_MATCH_2}")
+-    set(_patch "${CMAKE_MATCH_3}")
+-    set(PROJECT_VERSION ${_major}.${_minor}.${_patch})
+-  elseif(git_version MATCHES
+-                 "^(0|[1-9][0-9]*)[.](0|[1-9][0-9]*)")
+-    set(_major "${CMAKE_MATCH_1}")
+-    set(_minor "${CMAKE_MATCH_2}")
+-    set(PROJECT_VERSION ${_major}.${_minor})
+-  elseif(git_version MATCHES
+-                 "^(0|[1-9][0-9]*)")
+-    set(_major "${CMAKE_MATCH_1}")
+-    set(PROJECT_VERSION ${_major})
+-  endif()
+-endif()
++set(PROJECT_VERSION 9999.0.0)
+
+

diff --git a/sci-libs/libsc/libsc-9999.ebuild b/sci-libs/libsc/libsc-9999.ebuild
index 00143eccd873..8d6bdbb8314c 100644
--- a/sci-libs/libsc/libsc-9999.ebuild
+++ b/sci-libs/libsc/libsc-9999.ebuild
@@ -1,11 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-LUA_COMPAT=( lua5-{1..3} )
-
-inherit autotools lua-single toolchain-funcs
+inherit cmake toolchain-funcs
 
 DESCRIPTION="Support for parallel scientific applications"
 HOMEPAGE="http://www.p4est.org/";
@@ -21,22 +19,20 @@ fi
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-IUSE="debug examples mpi openmp romio threads"
-REQUIRED_USE="
-       ${LUA_REQUIRED_USE}
-       romio? ( mpi )"
+IUSE="debug examples mpi openmp threads"
 
 RDEPEND="
-       ${LUA_DEPS}
        sys-apps/util-linux
+       sys-libs/zlib
        virtual/blas
        virtual/lapack
-       mpi? ( virtual/mpi[romio?] )"
+       mpi? ( virtual/mpi[romio] )"
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
 
 PATCHES=(
-       "${FILESDIR}"/${PN}-9999_20201220-autoconf_lua_version.patch
+       "${FILESDIR}"/${PN}-2.8.3-fix_build_system.patch
+       "${FILESDIR}"/${P}-set_version.patch
 )
 
 pkg_pretend() {
@@ -45,55 +41,25 @@ pkg_pretend() {
 
 pkg_setup() {
        [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
-       lua-single_pkg_setup
-}
-
-src_prepare() {
-       default
-
-       sed -i -e "s/@LUA_IMPL@/${ELUA}/" "${S}"/src/sc_lua.h || die
-
-       # Inject a version number into the build system
-       echo "${PV}" > ${S}/.tarball-version || die
-       eautoreconf
 }
 
 src_configure() {
-       local myeconfargs=(
-               --disable-static
-               $(use_enable debug)
-               $(use_enable mpi)
-               $(use_enable openmp openmp)
-               $(use_enable romio mpiio)
-               $(use_enable threads pthread)
-               --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
-               --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
+       local mycmakeargs=(
+               -Dmpi="$(usex mpi)"
+               -Dopenmp="$(usex openmp)"
+               -Dlibrary_reldir="$(get_libdir)"
        )
-       econf LUA_IMPL="${ELUA}" "${myeconfargs[@]}"
+
+       cmake_src_configure
 }
 
 src_install() {
-       default
-
-       if use examples; then
-               docinto examples
-               dodoc -r example/*
-               docompress -x /usr/share/doc/${PF}/examples
-       else
-               # Remove compiled example binaries in case of -examples:
-               rm -r "${ED}"/usr/bin || die "rm failed"
-       fi
-
-       # Remove ac files, bug #619806
-       rm -r "${ED}"/usr/share/aclocal || die "rm failed"
+       cmake_src_install
 
-       # Fix wrong installation paths:
-       dodir /usr/share/libsc
-       mv "${ED}"/etc/* "${ED}"/usr/share/libsc || die "mv failed"
-       rmdir "${ED}"/etc/ || die "rmdir failed"
-       mv "${ED}"/usr/share/ini/* "${ED}"/usr/share/libsc || die "mv failed"
-       rmdir "${ED}"/usr/share/ini || die "rmdir failed"
+       rm -r "${ED}"/usr/include/getopt.h \
+               "${ED}"/usr/include/getopt_int.h \
+               "${ED}"/usr/include/sc_builtin || die "rm failed"
 
-       # no static archives
-       find "${ED}" -name '*.la' -delete || die
+       mv "${ED}"/usr/share/docs/SC/* "${ED}"/usr/share/doc/${P}/ || die "mv 
failed"
+       rm -r "${ED}"/usr/share/docs || die "rm failed"
 }

Reply via email to